[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Which 2.4 kernel image for a P1 MMX?

I just finished installing Debian 3.0r1 on a P1 200 MMX computer that will serve as a network gateway/firewall, etc. As such, I would very much prefer that it use a 2.4 series kernel so that that it can be used with iptables. The install cd wouldn't let me use bf2.4 for some reason, despite the fact that it would allow it on other machines. I installed with Vanilla as a result. I'm using an Adaptec 1540CP SCSI card with a 2 gig SCSI hd on this machine.

So far I have tried kernel images 2.4.18-586tsc and 2.4.16-586, using grub as a boot loader with the appropriate initrd entries (I use grub and kernel 2.4.18-686 on another machine). With both of those kernels I get a kernel panic error that is proceeded a few lines up with multiple reports of this error:

mount: /dev2/root is not a valid block device

Can't say that I disagree with the output but I'm puzzled as to why it is attempting to do such a thing in the first place. I get no such problem with the 2.2.20 kernel that is installed by the installer.

Has anyone got any advice as to which 2.4 kernel I should be attempting to use or how I should proceed?

David P. James
4th Year Economics Student
Queen's University
Kingston, Ontario

The bureaucratic mentality is the only constant in the universe.
-Dr. Leonard McCoy, Star Trek IV

Reply to: